Skip to content

List loan messages

Request

Retrieve messages posted on a loan across its customer/broker-visible chatrooms. Internal banker-only threads are never returned.

Security
ApiKeyAuth
Path
idstringrequired
Query
limitnumber, [ 1 .. 100 ]
Default:50
offsetnumber, >= 0
cursorstring
curl -i -X GET \
  'https://api.pioneerft.com/api/public/v1/loans/{id}/messages?limit=50&offset=0&cursor=string' \
  -H 'Authorization: Bearer <YOUR_API Key_HERE>'

Responses

Loan messages (most recent first)

Bodyapplication/json
dataArray of objects(PublicMessage)
metaobject(PaginationMeta)
One of:
Response
{ "data": [ { "id": "string", "content": "string", "authorId": "string", "authorName": "string", "parentMessageId": "string", "createdAt": "string" } ], "meta": { "mode": "offset", "limit": 0, "offset": 0, "hasMore": true } }